MONGOC_CLIENT_POOL_TRY_POP(3)

NAME
mongoc_client_pool_try_pop() - None

SYNOPSIS

mongoc_client_t *
mongoc_client_pool_try_pop (mongoc_client_pool_t *pool);

This function is identical to mongoc_client_pool_pop(3) except it will return NULL instead of blocking for a client to become available.

PARAMETERS

pool
    A mongoc_client_pool_t \&.

RETURNS

A mongoc_client_t if one is immediately available, otherwise NULL \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.